dst {lubridate} | R Documentation

## Get daylight savings time indicator of a date-time

### Description

Date-time must be a POSIXct, POSIXlt, Date, chron, yearmon, yearqtr, zoo, zooreg, timeDate, xts, its, ti, jul, timeSeries, and fts objects.

### Usage

    dst(x)

### Arguments

`x` | a date-time object

### Details

A date-time's daylight savings flag can not be set because it depends on the date-time's year, month, day, and hour values.

### Value

A logical. TRUE if DST is in force, FALSE if not, NA if unknown.

### Examples

    x <- ymd("2012-03-26")
    dst(x)

[Package lubridate version 1.7.4 Index]